Bug 51495 - Error at copying the directory containing only one file
Summary: Error at copying the directory containing only one file
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ftpcopy   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-10 23:47 UTC by Need Real Name
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-11 06:35:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-10 23:47:34 UTC
Description of Problem:
If I try to copy directory containing only one file, I get this error:
RETR /pub/test: 550 /pub/test: not a plain file.

How Reproducible:
Always

Steps to Reproduce:
1. ftpcopy ftp://ftp.foo/pub/test testdir

Actual Results:
ftp://ftp.foo/pub/test: RETR /pub/test: 550 /pub/test: not a plain file.

Expected Results:


Additional Information:
I use wu-ftpd-2.6.1-16 from RedHat Linux 7.1.
Output of "ls -l /var/ftp/pub/test" on my server:
-rw-r--r--    1 root     root            0 Aug 11 03:06 testfileIf I add
one more file in test directory, I get successful copying.

Comment 1 Michael Schwendt 2001-08-11 06:35:00 UTC
As I'm quite a fan of ftpcopy and also testing a 0.3.10 beta version on a
different machine, I have had to try this, and was able to reproduce it on stock
7.1. Though, contrary to your example, the correct syntax to mirror a dir would be:

  ftpcopy  ftp.foo  /pub/test  testdir

Ftpcopy does not know any protocol prefix such as ftp://, and the source path is
a separate argument.
This is fixed as of ftpcopy 0.3.6.

Comment 2 Bernhard Rosenkraenzer 2001-08-15 13:02:23 UTC
Fixed in the current version



Note You need to log in before you can comment on or make changes to this bug.